%global pypi_name jaraco-packaging
%global srcname   jaraco_packaging

# This package is interdependant on rst-linker to build docs
# will build both with out docs and add docs in later
%bcond_with docs

Name:           python-%{pypi_name}
Version:        10.2.3
Release:        %mkrel 1
Summary:        Tools to supplement packaging Python releases
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/jaraco.packaging/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Tools for packaging.dependency_tree A dist-utils command for reporting the
dependency tree as resolved by setup-tools. Use after installing a package.show
A dist-utils command for reporting the attributes of a distribution, such as
the version or author name.

%package -n python3-jaraco
Summary:        A Parent package for jaraco's parent dir and init file
%{?python_provide:%python_provide python3-jaraco}

%description -n python3-jaraco
A Parent package for jaraco's parent dir and init file.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-jaraco

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Tools for packaging.dependency_tree A dist-utils command for reporting the
dependency tree as resolved by setup-tools. Use after installing a package.show
A dist-utils command for reporting the attributes of a distribution, such as
the version or author name.

%if %{with docs}
%package -n python-%{pypi_name}-doc
Summary:        jaraco.packaging documentation
Group:          Development/Python
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(rst-linker)

%description -n python-%{pypi_name}-doc
Documentation for jaraco.packaging
%endif

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
# This package requires itself to build docs :/
PYTHONPATH=./ sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install


%files -n python3-jaraco
%doc LICENSE
%doc README.rst
%{python3_sitelib}/jaraco
%exclude %{python3_sitelib}/jaraco/packaging

%files -n python3-%{pypi_name}
%doc LICENSE
%doc README.rst
%{python3_sitelib}/jaraco/packaging
%{python3_sitelib}/%{srcname}-%{version}.dist-info

%if %{with docs}
%files -n python-%{pypi_name}-doc
%doc LICENSE
%doc html
%endif


%changelog
* Sat Mar 01 2025 daviddavid <daviddavid> 10.2.3-1.mga10
+ Revision: 2154263
- new version: 10.2.3
- rebuild for python 3.13

* Mon Jul 01 2024 papoteur <papoteur> 10.1.0-1.mga10
+ Revision: 2078342
- new version 10.1.0

* Sun Dec 10 2023 wally <wally> 9.4.0-2.mga10
+ Revision: 2016705
- rebuild for py3.12
- use %%pyproject_buildrequires

* Mon Sep 11 2023 papoteur <papoteur> 9.4.0-1.mga10
+ Revision: 1986278
- new 9.4.0

* Thu Jul 07 2022 papoteur <papoteur> 8.2.1-4.mga9
+ Revision: 1867898
- revert to 8.2.1: 9.0.0 breaks documentation builds by trying to have Internet downloading

* Sun Apr 10 2022 guillomovitch <guillomovitch> 9.0.0-1.mga9
+ Revision: 1848534
- new version 9.0.0

* Tue Mar 29 2022 umeabot <umeabot> 8.2.1-3.mga9
+ Revision: 1832606
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 8.2.1-2.mga9
+ Revision: 1774393
- Rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 8.2.1-1.mga9
+ Revision: 1705900
- new version 8.2.1

* Fri Feb 26 2021 guillomovitch <guillomovitch> 8.2.0-1.mga9
+ Revision: 1691746
- new version 8.2.0

* Sun Dec 13 2020 guillomovitch <guillomovitch> 8.1.1-1.mga8
+ Revision: 1656367
- new version 8.1.1

* Tue Nov 10 2020 guillomovitch <guillomovitch> 8.1.0-1.mga8
+ Revision: 1644294
- imported package python-jaraco-packaging

